org.jboss.netty.channel

## Class DefaultWriteCompletionEvent

- java.lang.Object
- - org.jboss.netty.channel.DefaultWriteCompletionEvent

All Implemented Interfaces:
  ChannelEvent, WriteCompletionEvent

    public class DefaultWriteCompletionEvent
    extends Object
    implements WriteCompletionEvent

The default `WriteCompletionEvent` implementation.

### Constructor Summary

Constructors
Constructor and Description
`DefaultWriteCompletionEvent(Channel channel, long writtenAmount)` Creates a new instance.

### Method Summary

Methods
`Channel` `getChannel()` Returns the `Channel` which is associated with this event.
`ChannelFuture` `getFuture()` Returns the `ChannelFuture` which is associated with this event.
`long` `getWrittenAmount()` Returns the amount of data written.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DefaultWriteCompletionEvent

    public DefaultWriteCompletionEvent(Channel channel,
                               long writtenAmount)

Creates a new instance.

### Method Detail

#### getChannel

    public Channel getChannel()

Description copied from interface: `ChannelEvent`
Returns the `Channel` which is associated with this event.

Specified by:
  `getChannel` in interface `ChannelEvent`

#### getFuture

    public ChannelFuture getFuture()

Description copied from interface: `ChannelEvent`
Returns the `ChannelFuture` which is associated with this event. If this event is an upstream event, this method will always return a `SucceededChannelFuture` because the event has occurred already. If this event is a downstream event (i.e. I/O request), the returned future will be notified when the I/O request succeeds or fails.

Specified by:
  `getFuture` in interface `ChannelEvent`

#### getWrittenAmount

    public long getWrittenAmount()

Description copied from interface: `WriteCompletionEvent`
Returns the amount of data written.

Specified by:
  `getWrittenAmount` in interface `WriteCompletionEvent`
Returns:
  the number of written bytes or messages, depending on the type of the transport

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`